Summary: A tool for automating the build process for code updates from CVS.
Name: gbuild
Version: 0.6
Release: 7
Copyright: GPL
Group: Development/Tools
Source: http://www.cryon.com/gbuild/gbuild-0.6.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArch: noarch

%description
Gbuild is a script written to simplify package maintenance. It allows
you to automate the build process when you're checking out code from
CVS: compiling the code and then building tar files, RPMs, and
SRPMs. The script is written in the /bin/sh (Bourne) shell language
for wide compatibility with most system setups. External scripts which
certain functions of gbuild depend on are written in Perl.  Gbuild has
been tested and used primarily with the GNOME project, and it provides
powerful interaction with the autoconf/automake family of tools. All
options can be input from the command line at run time, or in a
configuration file.

Some of the options available include support for compiling code
outside of the downloaded cvs tree, checking out or updating code with
specific options, compile time options, and log files. All options are
configurable on a global or package specific basis.

Install gbuild if you need to automate the build process for code
updates from CVS.

%prep
%setup -q

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" \
	./autogen.sh $ARCH_FLAGS \
	--prefix=%{_prefix} \
	--sysconfdir=/etc
else
  CFLAGS="$RPM_OPT_FLAGS" \
	./configure $ARCH_FLAGS \
	--prefix=%{_prefix} \
	--sysconfdir=/etc
fi

%build
make

%install
make \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT/etc \
	install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc NEWS
%doc INSTALL
%doc ChangeLog
%doc COPYING
%doc AUTHORS
%config %{_prefix}/share/gbuild/gbuildrc
%{_prefix}/bin/autospec
%{_prefix}/bin/gbuild
%{_prefix}/bin/gbuild-config
%{_prefix}/bin/geninstallfiles
%{_prefix}/share/gbuild/PARTS
%{_prefix}/share/gbuild/README
%{_prefix}/share/gbuild/log/
%{_prefix}/share/gbuild/rpm/
%{_prefix}/share/gbuild/spec/
%{_prefix}/share/gbuild/srpm/
%{_prefix}/share/gbuild/tar/

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Mon Jan 10 2000 Tim Powers <timp@redhat.com>
- changed buildarch to noarch
- rebuilt for 6.2

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Jul 14 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
